> For the complete documentation index, see [llms.txt](https://docs.kiiglobal.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiiglobal.io/docs/build-on-kiichain/kiichain-mainnet.md).

# Kiichain Mainnet

Everything you need to know about Kiichain mainnet.

Kiichain is a peer-to-peer decentralized EVM-compatible network built with the Cosmos SDK. The mainnet chain ID is `kiichain_1783-1`.

For experimentation, hackathons, and test deployments, use [Testnet Oro](/docs/build-on-kiichain/testnet-oro.md). Use mainnet for production deployments and mainnet validator operations.

## Source code

* [Kiichain](https://github.com/KiiChain/kiichain)
* [Mainnet configs and join scripts](https://github.com/KiiChain/mainnets/tree/main/kiichain)

## Endpoints

* **RPC:** <https://rpc.kiivalidator.com>
* **Rest (LCD):** <https://lcd.kiivalidator.com>
* **GRPC:** grpc.kiivalidator.com:443
* **JSON-RPC (EVM):** <https://json-rpc.kiivalidator.com>
* **WebSocket:** wss\://ws.kiivalidator.com/websocket

Persistent peers:

* `4d0c3be48018cf8234faa46d789634f8a811dc5b@p2p-1.kiivalidator.com:26656`
* `ac58976b16880535d56b2e1fe1f499a3841c4039@p2p-2.kiivalidator.com:26656`

## Chain information

* **Chain ID:** `kiichain_1783-1`
* **EVM Chain ID:** `1783`
* **Token Denom:** `akii`
* **Decimals:** `18`
* **Bech32 Prefix:** `kii`
* **Max Supply:** `1.8b KII`

## How to join the network

Instructions and join scripts are available in the mainnets repository:

* [Join Kiichain](https://github.com/KiiChain/mainnets/blob/main/kiichain/join_kiichain.sh)
* [Join Kiichain with Cosmovisor](https://github.com/KiiChain/mainnets/blob/main/kiichain/join_kiichain_cv.sh)
* [Step-by-Step Guide](/docs/validate-the-network/run-a-validator-full-node/step-by-step-guide.md)

## Bridge KII

KII is available on connected chains through Hyperlane. See:

* [Bridge](/docs/learn/getting-started/bridge.md)

## Developer tools

* [RWA Protocol](/docs/build-on-kiichain/developer-tools/rwa-protocol.md)
* [Deploying a smart contract](/docs/build-on-kiichain/developer-tools/deploy-a-smart-contract.md)
* [Deploying a dApp](/docs/build-on-kiichain/developer-tools/deploy-a-dapp.md)
* [Endpoints - EVM](/docs/build-on-kiichain/endpoints-evm.md)
* [Endpoints - Cosmos](/docs/build-on-kiichain/endpoints-cosmos.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kiiglobal.io/docs/build-on-kiichain/kiichain-mainnet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
